sdr::Sink< Scalar > Class Template Referenceabstract

Typed sink. More...

`#include <node.hh>`

Inheritance diagram for sdr::Sink< Scalar >:

## Public Member Functions

| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | process (const Buffer< Scalar > &buffer, bool allow_overwrite)=0
| Needs to be implemented by any sub-type to process the received data. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...
virtual void | config (const Config &src_cfg)=0
| Needs to be implemented by any sub-type to check and perform the configuration of the node. More...

## Detailed Description

### template<class Scalar>
class sdr::Sink< Scalar >

Typed sink.

## Constructor & Destructor Documentation

template<class Scalar>

sdr::Sink< Scalar >::Sink | ( |  | ) |

inline

Constructor.

template<class Scalar>

virtual sdr::Sink< Scalar >::~Sink | ( |  | ) |

inlinevirtual

Drestructor.

## Member Function Documentation

template<class Scalar>

virtual void sdr::Sink< Scalar >::handleBuffer | ( | const RawBuffer & | buffer,
|  | bool | allow_overwrite
| ) |  |

inlinevirtual

Re-implemented from `SinkBase`.

Casts the buffer into the requested type and forwards the call to `process`.

Implements sdr::SinkBase.

template<class Scalar>

virtual void sdr::Sink< Scalar >::process | ( | const Buffer< Scalar > & | buffer,
|  | bool | allow_overwrite
| ) |  |

pure virtual

Needs to be implemented by any sub-type to process the received data.

Implemented in sdr::TextDump, sdr::DebugDump< Scalar >, sdr::DebugStore< Scalar >, sdr::AGC< Scalar >, sdr::Scale< Scalar >, sdr::StreamSink< Scalar >, sdr::FreqShift< Scalar >, sdr::BaseBand< Scalar >, sdr::FMDeemph< Scalar >, sdr::Cast< iScalar, oScalar >, sdr::Varicode, sdr::InpolSubSampler< iScalar, oScalar >, sdr::ToComplex< iScalar, oScalar >, sdr::FMDemod< iScalar, oScalar >, sdr::FIRFilter< Scalar, FilterCoeffs >, sdr::FIRFilter< Scalar, FIRBandPassCoeffs >, sdr::FIRFilter< Scalar, FIRBandStopCoeffs >, sdr::FIRFilter< Scalar, FIRHighPassCoeffs >, sdr::FIRFilter< Scalar, FIRLowPassCoeffs >, sdr::BitDump, sdr::IQBalance< Scalar >, sdr::FilterSource< Scalar >, sdr::USBDemod< Scalar >, sdr::BitStream, sdr::IQBaseBand< Scalar >, sdr::BPSK31< Scalar >, sdr::WavSink< Scalar >, sdr::ASKDetector< Scalar >, sdr::POCSAG, sdr::FilterSink< Scalar >, sdr::SubSample< Scalar >, sdr::AMDemod< Scalar >, sdr::BufferNode< Scalar >, sdr::BufferNode< std::complex< Scalar > >, sdr::RealImagPart< Scalar >, sdr::CombineSink< Scalar >, sdr::Baudot, sdr::AX25, and sdr::FSKDetector.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/node.hh